## u1db-qt 0.1.5+13.10.20130807

=== CMakeLists.txt ===
project(u1db-qt)
cmake_minimum_required(VERSION 2.8.6)

# Instruct CMake to run moc automatically when needed.
set(CMAKE_AUTOMOC ON)

# Dependencies
include(FindPkgConfig)
include(GNUInstallDirs)
find_package(Qt5Core REQUIRED)
find_package(Qt5Sql REQUIRED)
add_definitions(-DWITHQT5=1)

set(U1DB_QT_LIBNAME u1db-qt5)
set(QT_PKGCONFIG_DEPENDENCIES "Qt5Core Qt5Quick Qt5Sql")
set(QT_U1DB_PKGCONFIG_FILE lib${U1DB_QT_LIBNAME}.pc)

# Build flags
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden -Wall -Wundef -std=c++0x")
add_definitions(-DQT_NO_KEYWORDS)
# Disable building during install to avoid file permission chaos
set(CMAKE_SKIP_INSTALL_ALL_DEPENDENCY 1)

add_subdirectory(src)
enable_testing()
add_subdirectory(tests)
add_subdirectory(modules)
add_subdirectory(examples)
add_subdirectory(gallery)
add_subdirectory(documentation)
add_subdirectory(qtcreator)

# PkgConfig file
set (PREFIX "${CMAKE_INSTALL_PREFIX}")
set (EXEC_PREFIX "${CMAKE_INSTALL_PREFIX}")
set(libdir "${CMAKE_INSTALL_FULL_LIBDIR}")
set(includedir "${CMAKE_INSTALL_FULL_INCLUDEDIR}")

configure_file (libu1db-qt.pc.in
    ${CMAKE_CURRENT_BINARY_DIR}/${QT_U1DB_PKGCONFIG_FILE} @ONLY)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${QT_U1DB_PKGCONFIG_FILE}
    DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig
    )

=== src/CMakeLists.txt ===
set(U1DB_QT_LIBNAME u1db-qt5)

# Sources
set(U1DB_QT_SRCS
    database.cpp
    document.cpp
    index.cpp
    query.cpp
    )

# Generated files
set(U1DB_QT_GENERATED
    moc_database.cpp
    moc_document.cpp
    moc_index.cpp
    moc_query.cpp
    )
set_directory_properties(PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES "${U1DB_QT_GENERATED}")

# Resources
set(U1DB_QT_RESOURCES
    sql.qrc
    )
QT5_ADD_RESOURCES(U1DB_QT_RCC ${U1DB_QT_RESOURCES})

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${Qt5Core_INCLUDE_DIRS}
    ${Qt5Sql_INCLUDE_DIRS}
    ${U1DB_INCLUDE_DIRS}
    )

add_library(${U1DB_QT_LIBNAME} SHARED ${U1DB_QT_SRCS} ${U1DB_QT_RCC})
target_link_libraries(${U1DB_QT_LIBNAME}
    ${Qt5Core_LIBRARIES}
    ${Qt5Sql_LIBRARIES}
    ${U1DB_LDFLAGS}
    )

set_target_properties(${U1DB_QT_LIBNAME} PROPERTIES
  SOVERSION 3
  VERSION 3.0.0
  )

# Install
set(INCLUDE_INSTALL_DIR include/lib${U1DB_QT_LIBNAME})

install(TARGETS ${U1DB_QT_LIBNAME}
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
    )

install(FILES global.h database.h document.h index.h query.h
    DESTINATION ${INCLUDE_INSTALL_DIR}
    )

=== modules/U1db/CMakeLists.txt ===
find_package(Qt5Quick REQUIRED)

get_target_property(QMAKE_EXECUTABLE Qt5::qmake LOCATION)
# See http://doc-snapshot.qt-project.org/5.0/qtcore/qlibraryinfo.html#LibraryLocation-enum
# exec_program(${QMAKE_EXECUTABLE} ARGS "-query QT_INSTALL_QML" OUTPUT_VARIABLE QT_IMPORTS_DIR)
exec_program(${QMAKE_EXECUTABLE} ARGS "-query QT_INSTALL_QML" OUTPUT_VARIABLE QT_IMPORTS_DIR)
file(TO_CMAKE_PATH "${QT_IMPORTS_DIR}" QT_IMPORTS_DIR)

set(U1DBPlugin_SRCS
    plugin.cpp
    )

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${Qt5Sql_INCLUDE_DIRS}
    )

add_library(U1DBPlugin SHARED ${U1DBPlugin_SRCS})
add_dependencies(check U1DBPlugin)

target_link_libraries(U1DBPlugin
  ${U1DB_QT_LIBNAME}
  ${Qt5Quick_LIBRARIES}
  )

include_directories(
    ${CMAKE_SOURCE_DIR}/src
    ${U1DB_INCLUDE_DIRS}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${Qt5Quick_INCLUDE_DIRS}
    )

# copy qmldir file into build directory for shadow builds
file(COPY "${CMAKE_CURRENT_SOURCE_DIR}/qmldir"
    DESTINATION ${CMAKE_CURRENT_BINARY_DIR}
    )

install(TARGETS U1DBPlugin
    LIBRARY DESTINATION ${QT_IMPORTS_DIR}/U1db
    )

install(FILES qmldir
    DESTINATION ${QT_IMPORTS_DIR}/U1db
    )

add_custom_command(
    TARGET U1DBPlugin
    POST_BUILD
    COMMAND "qmlplugindump" "U1db" "1.0" "${CMAKE_BINARY_DIR}/modules" ">" "plugins.qmltypes"
    WORKING_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}"
    )

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/plugins.qmltypes
    DESTINATION ${QT_IMPORTS_DIR}/U1db
    )

## u1db-qt 0.1.5+13.10.20130827

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,11 +8,12 @@
 include(FindPkgConfig)
 include(GNUInstallDirs)
 find_package(Qt5Core REQUIRED)
+find_package(Qt5Network REQUIRED)
 find_package(Qt5Sql REQUIRED)
 add_definitions(-DWITHQT5=1)
 
 set(U1DB_QT_LIBNAME u1db-qt5)
-set(QT_PKGCONFIG_DEPENDENCIES "Qt5Core Qt5Quick Qt5Sql")
+set(QT_PKGCONFIG_DEPENDENCIES "Qt5Core Qt5Network Qt5Quick Qt5Sql")
 set(QT_U1DB_PKGCONFIG_FILE lib${U1DB_QT_LIBNAME}.pc)
 
 # Build flags
@@ -42,4 +43,3 @@
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${QT_U1DB_PKGCONFIG_FILE}
     DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig
     )
-

=== examples/CMakeLists.txt ===
file(GLOB ALL_EXAMPLES *-*/*.qml)
install(FILES ${ALL_EXAMPLES}
    DESTINATION ${CMAKE_INSTALL_PREFIX}/share/u1db-qt/examples
    )

=== modules/CMakeLists.txt ===
add_subdirectory(U1db)

=== tests/CMakeLists.txt ===
add_custom_target(check COMMAND "env" "CTEST_OUTPUT_ON_FAILURE=1" "${CMAKE_CTEST_COMMAND}")

find_package(Qt5Test REQUIRED)

add_test(NAME plugintest COMMAND "${CMAKE_CURRENT_SOURCE_DIR}/strict-qmltestrunner.sh" "-platform" "minimal" "-import" "../modules" "-xunitxml" "-o" "plugintest-xunit.xml" "-input" "${CMAKE_CURRENT_SOURCE_DIR}")

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${Qt5Test_INCLUDE_DIRS}
    ${CMAKE_SOURCE_DIR}/src
    ${Qt5Sql_INCLUDE_DIRS}
    ${Qt5Quick_INCLUDE_DIRS}
    )

add_executable(test-database test-database.cpp)
target_link_libraries(test-database
    ${Qt5Test_LIBRARIES}
    ${Qt5Quick_LIBRARIES}
    ${Qt5Sql_LIBRARIES}
    ${U1DB_QT_LIBNAME}
    )
set_target_properties(test-database PROPERTIES COMPILE_FLAGS -fPIC)
add_test(NAME test-database COMMAND "dbus-test-runner" "--task" "${CMAKE_CURRENT_BINARY_DIR}/test-database" "-p" "-xunitxml" "-p" "-o" "-p" "test-database-xunit.xml")
set_property(TEST test-database PROPERTY ENVIRONMENT "LD_LIBRARY_PATH=.")
set_property(TEST test-database PROPERTY ENVIRONMENT "QT_QPA_PLATFORM=minimal")
add_dependencies(check test-database)

option(BUILD_PYTHON "Build Python wrapper" OFF)
if (BUILD_PYTHON)
    find_package(PythonLibs)
    if (PYTHONLIBS_FOUND)
        set(U1DB_QT_PY_SRCS qt-backend-wrapper.cpp)
        include_directories(
            ${PYTHON_INCLUDE_DIRS}
            ${Qt5Sql_INCLUDE_DIRS}
            )
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=default -Wall -Wundef -std=c++0x")
        add_library(u1dbqt SHARED ${U1DB_QT_PY_SRCS})
        target_link_libraries(u1dbqt
            ${Qt5Core_LIBRARIES}
            ${Qt5Sql_LIBRARIES}
            ${U1DB_QT_LIBNAME}
            ${PYTHON_LDFLAGS}
            )
        add_custom_command(TARGET u1dbqt POST_BUILD COMMAND ${CMAKE_COMMAND} -E create_symlink libu1dbqt.so u1dbqt.so)
    endif ()
endif ()

add_test(NAME licensetest COMMAND "${CMAKE_CURRENT_SOURCE_DIR}/checklicense.sh" WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}")

## u1db-qt 0.1.5+14.04.20140313

=== documentation/CMakeLists.txt ===
option(BUILD_DOCS "Build documentation" OFF)
if (BUILD_DOCS)
    set(ALL "ALL")
endif ()

set(U1DB_DOCS "${CMAKE_CURRENT_BINARY_DIR}/output")

add_custom_command(OUTPUT overview.html
    COMMAND "mkdir" "-p" "${U1DB_DOCS}"
    COMMAND "qdoc" "-outputdir" "${U1DB_DOCS}" "${CMAKE_CURRENT_SOURCE_DIR}/u1db.qdocconf" "2>" "${CMAKE_CURRENT_BINARY_DIR}/qdoc.err"
    COMMAND "cat" "${CMAKE_CURRENT_BINARY_DIR}/qdoc.err"
    COMMAND "test" "!" "-s" "${CMAKE_CURRENT_BINARY_DIR}/qdoc.err"
    COMMAND "sed" "-r" "-i" "'s@(</head>)@<link rel=\"stylesheet\" type=\"text/css\" href=\"style/base.css\" />\\1@'" "${U1DB_DOCS}/*.html"
    WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
    DEPENDS U1DBPlugin
    )
add_custom_command(OUTPUT u1dbqt.qhp
    COMMAND "qhelpgenerator" "${U1DB_DOCS}/u1dbqt.qhp"
    WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
    DEPENDS overview.html
    )
add_custom_target(doc ${ALL} DEPENDS u1dbqt.qhp overview.html)

if (BUILD_DOCS)
    install(FILES "${U1DB_DOCS}/u1dbqt.qch"
        DESTINATION "${CMAKE_INSTALL_PREFIX}/share/qt5/phrasebooks/"
        )
    install(FILES "${U1DB_DOCS}/u1dbqt.qch"
        DESTINATION "${CMAKE_INSTALL_PREFIX}/share/qt5/doc/qch/"
        )
    install(DIRECTORY "${U1DB_DOCS}/"
        DESTINATION "${CMAKE_INSTALL_PREFIX}/share/u1db-qt/doc/html"
        FILES_MATCHING PATTERN "*.html"
        )
    install(DIRECTORY "${U1DB_DOCS}/"
        DESTINATION "${CMAKE_INSTALL_PREFIX}/share/u1db-qt/doc/html"
        FILES_MATCHING PATTERN "*.index"
        )
    install(DIRECTORY "${U1DB_DOCS}/style/"
        DESTINATION "${CMAKE_INSTALL_PREFIX}/share/u1db-qt/doc/html/style"
        FILES_MATCHING PATTERN "*.css"
        )
    install(DIRECTORY
        DESTINATION ${CMAKE_INSTALL_PREFIX}/share/u1db-qt/examples
        FILES_MATCHING PATTERN "*example-*.html"
        )
endif ()

=== qtcreator/CMakeLists.txt ===
set(U1DB_WIZARDS "${CMAKE_INSTALL_PREFIX}/share/qtcreator/templates/qml")

install(DIRECTORY "settings"
    DESTINATION "${U1DB_WIZARDS}"
    )

install(DIRECTORY "contacts"
    DESTINATION "${U1DB_WIZARDS}"
    )

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,7 @@
     document.cpp
     index.cpp
     query.cpp
+    synchronizer.cpp
     )
 
 # Generated files
@@ -14,6 +15,7 @@
     moc_document.cpp
     moc_index.cpp
     moc_query.cpp
+    moc_synchronizer.cpp
     )
 set_directory_properties(PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES "${U1DB_QT_GENERATED}")
 
@@ -27,6 +29,7 @@
     ${CMAKE_CURRENT_SOURCE_DIR}
     ${CMAKE_CURRENT_BINARY_DIR}
     ${Qt5Core_INCLUDE_DIRS}
+    ${Qt5Network_INCLUDE_DIRS}
     ${Qt5Sql_INCLUDE_DIRS}
     ${U1DB_INCLUDE_DIRS}
     )
@@ -35,6 +38,7 @@
 target_link_libraries(${U1DB_QT_LIBNAME}
     ${Qt5Core_LIBRARIES}
     ${Qt5Sql_LIBRARIES}
+    ${Qt5Network_LIBRARIES}
     ${U1DB_LDFLAGS}
     )
 
@@ -50,7 +54,7 @@
     LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
     )
 
-install(FILES global.h database.h document.h index.h query.h
+install(FILES global.h database.h document.h index.h query.h synchronizer.h
     DESTINATION ${INCLUDE_INSTALL_DIR}
     )

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 find_package(Qt5Test REQUIRED)
 
-add_test(NAME plugintest COMMAND "${CMAKE_CURRENT_SOURCE_DIR}/strict-qmltestrunner.sh" "-platform" "minimal" "-import" "../modules" "-xunitxml" "-o" "plugintest-xunit.xml" "-input" "${CMAKE_CURRENT_SOURCE_DIR}")
+add_test(NAME plugintest COMMAND "${CMAKE_CURRENT_SOURCE_DIR}/strict-qmltestrunner.sh" "-import" "../modules" "-o" "plugintest-xunit.xml,xunitxml" "-o" "-,txt" "-input" "${CMAKE_CURRENT_SOURCE_DIR}")
 
 include_directories(
     ${CMAKE_CURRENT_BINARY_DIR}

## u1db-qt 0.1.5+15.10.20150826.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,7 +17,7 @@
 set(QT_U1DB_PKGCONFIG_FILE lib${U1DB_QT_LIBNAME}.pc)
 
 # Build flags
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden -Wall -Wundef -std=c++0x")
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden -Wall -Wundef -Werror -std=c++0x")
 add_definitions(-DQT_NO_KEYWORDS)
 # Disable building during install to avoid file permission chaos
 set(CMAKE_SKIP_INSTALL_ALL_DEPENDENCY 1)

=== examples/CMakeLists.txt ===
file(GLOB ALL_EXAMPLES */*.qml)
install(FILES ${ALL_EXAMPLES}
    DESTINATION ${CMAKE_INSTALL_PREFIX}/share/u1db-qt/examples
    )

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -20,7 +20,7 @@
     ${U1DB_QT_LIBNAME}
     )
 set_target_properties(test-database PROPERTIES COMPILE_FLAGS -fPIC)
-add_test(NAME test-database COMMAND "dbus-test-runner" "--task" "${CMAKE_CURRENT_BINARY_DIR}/test-database" "-p" "-xunitxml" "-p" "-o" "-p" "test-database-xunit.xml")
+add_test(NAME test-database COMMAND "dbus-test-runner" "--task" "${CMAKE_CURRENT_BINARY_DIR}/test-database" "-p" "-xunitxml" "-p" "-o" "-p" "test-database-xunit.xml" "-p" "-o" "-p" "-,txt")
 set_property(TEST test-database PROPERTY ENVIRONMENT "LD_LIBRARY_PATH=.")
 set_property(TEST test-database PROPERTY ENVIRONMENT "QT_QPA_PLATFORM=minimal")
 add_dependencies(check test-database)

## u1db-qt 0.1.7~git20210730.507a5bf

=== debian/changelog ===
u1db-qt (0.1.7~git20210730.507a5bf-2) unstable; urgency=medium

  * Upload as is source-only.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 06 Nov 2022 22:05:31 +0100

u1db-qt (0.1.7~git20210730.507a5bf-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #1023002).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 29 Oct 2022 00:09:51 +0200

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none,  pretty=0.1.7~git%cd.%h" \
https://gitlab.com/ubports/development/core/u1db-qt \
HEAD debian uupdate

## u1db-qt 0.1.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,11 @@
-project(u1db-qt)
-cmake_minimum_required(VERSION 2.8.6)
+cmake_minimum_required(VERSION 3.5)
+
+project(u1db-qt VERSION 0.1.7 LANGUAGES CXX)
 
 # Instruct CMake to run moc automatically when needed.
 set(CMAKE_AUTOMOC ON)
+
+option(ENABLE_WERROR "Treat all build warnings as errors" ON)
 
 # Dependencies
 include(FindPkgConfig)
@@ -17,7 +20,10 @@
 set(QT_U1DB_PKGCONFIG_FILE lib${U1DB_QT_LIBNAME}.pc)
 
 # Build flags
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden -Wall -Wundef -Werror -std=c++0x")
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden -Wall -Wundef -std=c++0x")
+if(ENABLE_WERROR)
+    add_compile_options("-Werror")
+endif()
 add_definitions(-DQT_NO_KEYWORDS)
 # Disable building during install to avoid file permission chaos
 set(CMAKE_SKIP_INSTALL_ALL_DEPENDENCY 1)

=== documentation/CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,8 @@
     COMMAND "mkdir" "-p" "${U1DB_DOCS}"
     COMMAND "qdoc" "-outputdir" "${U1DB_DOCS}" "${CMAKE_CURRENT_SOURCE_DIR}/u1db.qdocconf" "2>" "${CMAKE_CURRENT_BINARY_DIR}/qdoc.err"
     COMMAND "cat" "${CMAKE_CURRENT_BINARY_DIR}/qdoc.err"
-    COMMAND "test" "!" "-s" "${CMAKE_CURRENT_BINARY_DIR}/qdoc.err"
+# FIXME: Should not fail on warnings
+#    COMMAND "test" "!" "-s" "${CMAKE_CURRENT_BINARY_DIR}/qdoc.err"
     COMMAND "sed" "-r" "-i" "'s@(</head>)@<link rel=\"stylesheet\" type=\"text/css\" href=\"style/base.css\" />\\1@'" "${U1DB_DOCS}/*.html"
     WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
     DEPENDS U1DBPlugin

=== gallery/CMakeLists.txt ===
install(FILES gallery.qml SplitView.qml
    DESTINATION ${CMAKE_INSTALL_PREFIX}/share/u1db-qt/gallery
    )

install(FILES u1db-qt-gallery.desktop
    DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications
    )

=== debian/changelog ===
u1db-qt (0.1.7-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:13:44 +1100

u1db-qt (0.1.7-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 07:20:56 +0000

u1db-qt (0.1.7-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch:
    + Start watching upstream releases.
  * debian/patches:
    + Manually rebase 2001_fix-icon-path.patch.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 04 Feb 2023 16:59:41 +0100

=== debian/control ===
Source: u1db-qt
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders: Mike Gabriel <sunweaver@debian.org>,
Build-Depends: cmake (>= 2.8.6),
               dbus-test-runner,
               debhelper-compat (= 13),
               devscripts,
               libqt5sql5-sqlite,
               qml-module-qtquick2,
               qml-module-qttest,
               qtbase5-dev,
               qtdeclarative5-dev,
               qtdeclarative5-dev-tools,
               qttools5-dev-tools,
               lomiri-ui-toolkit-doc,
               xvfb,
               xauth,
               libgl1-mesa-dri,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/development/core/u1db-qt
Vcs-Browser: https://salsa.debian.org/ubports-team/u1db-qt
Vcs-Git: https://salsa.debian.org/ubports-team/u1db-qt.git

Package: libu1db-qt5-3
Architecture: any
Multi-Arch: same
Depends: libqt5sql5-sqlite,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt5 binding for U1DB - shared library
 Simple Qt5 binding and QtQuick2 plugin for U1DB (https://launchpad.net/u1db).
 .
 This package contains the shared library.

Package: qml-module-u1db
Architecture: any
Multi-Arch: same
Breaks: qtdeclarative5-u1db1.0
Replaces: qtdeclarative5-u1db1.0
Depends: libqt5sql5-sqlite,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt5 binding for U1DB - QtQuick2 QML plugin
 Simple Qt5 binding and QtQuick2 plugin for U1DB (https://launchpad.net/u1db).
 .
 This package contains the QML plugin.

Package: libu1db-qt5-dev
Section: libdevel
Architecture: any
Depends: libu1db-qt5-3 (= ${binary:Version}),
         qtbase5-dev,
         qtdeclarative5-dev,
         ${misc:Depends},
Description: Qt5 binding and QtQuick2 plugin for U1DB - development files
 Simple Qt5 binding and QtQuick2 plugin for U1DB (https://launchpad.net/u1db).
 .
 This package contains the developer headers for the Qt binding for U1DB

Package: libu1db-qt5-examples
Section: doc
Architecture: all
Depends: libu1db-qt5-3 (>= ${source:Version}),
         ${misc:Depends},
Description: Qt5 binding and QtQuick2 plugin for U1DB - examples
 Simple Qt5 binding and QtQuick2 plugin for U1DB (https://launchpad.net/u1db).
 .
 This package contains examples showcasing the use of the Qt binding for U1DB

Package: libu1db-qt5-doc
Section: doc
Architecture: all
Depends: libu1db-qt5-3 (>= ${source:Version}),
         qttools5-dev-tools,
         ${misc:Depends},
Description: Qt5 binding and QtQuick2 plugin for U1DB - offline documentation
 Simple Qt5 binding and QtQuick2 plugin for U1DB (https://launchpad.net/u1db).
 .
 This package contains the offline documentation for the Qt binding for U1DB

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_DOCS=ON

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	sh tests/xvfb.sh dh_auto_test || exit $?
endif

override_dh_install:
	# move doc files
	mkdir -p debian/tmp/usr/share/doc/libu1db-qt5-dev/
	mv debian/tmp/usr/share/u1db-qt/doc/html debian/tmp/usr/share/doc/libu1db-qt5-dev/
	rmdir debian/tmp/usr/share/u1db-qt/doc/
	# remove empty images/ dir
	rmdir debian/tmp/usr/share/doc/libu1db-qt5-dev/html/images/
	# run dh_install, finally
	dh_install

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

=== debian/watch ===
version=4
https://gitlab.com/ubports/development/core/u1db-qt/tags .*/u1db-qt-(\d\S+)\.tar\.gz

## u1db-qt 0.1.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.5)
 
-project(u1db-qt VERSION 0.1.7 LANGUAGES CXX)
+project(u1db-qt VERSION 0.1.8 LANGUAGES CXX)
 
 # Instruct CMake to run moc automatically when needed.
 set(CMAKE_AUTOMOC ON)
@@ -18,6 +18,7 @@
 set(U1DB_QT_LIBNAME u1db-qt5)
 set(QT_PKGCONFIG_DEPENDENCIES "Qt5Core Qt5Network Qt5Quick Qt5Sql")
 set(QT_U1DB_PKGCONFIG_FILE lib${U1DB_QT_LIBNAME}.pc)
+set(INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_FULL_INCLUDEDIR}/lib${U1DB_QT_LIBNAME}")
 
 # Build flags
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden -Wall -Wundef -std=c++0x")

=== documentation/CMakeLists.txt ===
option(BUILD_DOCS "Build documentation" OFF)
if (BUILD_DOCS)
    set(ALL "ALL")
endif ()

set(U1DB_DOCS "${CMAKE_CURRENT_BINARY_DIR}/output")

add_custom_command(OUTPUT overview.html
    COMMAND "mkdir" "-p" "${U1DB_DOCS}"
    COMMAND "qdoc" "-outputdir" "${U1DB_DOCS}" "${CMAKE_CURRENT_SOURCE_DIR}/u1db.qdocconf" "2>" "${CMAKE_CURRENT_BINARY_DIR}/qdoc.err"
    COMMAND "cat" "${CMAKE_CURRENT_BINARY_DIR}/qdoc.err"
# FIXME: Should not fail on warnings
#    COMMAND "test" "!" "-s" "${CMAKE_CURRENT_BINARY_DIR}/qdoc.err"
    WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
    DEPENDS U1DBPlugin
    )
add_custom_command(OUTPUT u1dbqt.qhp
    COMMAND "qhelpgenerator" "${U1DB_DOCS}/u1dbqt.qhp"
    WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
    DEPENDS overview.html
    )
add_custom_target(doc ${ALL} DEPENDS u1dbqt.qhp overview.html)

if (BUILD_DOCS)
    install(FILES "${U1DB_DOCS}/u1dbqt.qch"
        DESTINATION "${CMAKE_INSTALL_DATADIR}/qt5/phrasebooks/"
        )
    install(FILES "${U1DB_DOCS}/u1dbqt.qch"
        DESTINATION "${CMAKE_INSTALL_DATADIR}/qt5/doc/qch/"
        )
    install(DIRECTORY "${U1DB_DOCS}/"
        DESTINATION "${CMAKE_INSTALL_DOCDIR}/html"
        FILES_MATCHING PATTERN "*.html"
        )
    install(DIRECTORY "${U1DB_DOCS}/"
        DESTINATION "${CMAKE_INSTALL_DOCDIR}/html"
        FILES_MATCHING PATTERN "*.index"
        )
    install(DIRECTORY "${U1DB_DOCS}/style/"
        DESTINATION "${CMAKE_INSTALL_DOCDIR}/html/style"
        FILES_MATCHING PATTERN "*.css"
        )
    install(DIRECTORY
        DESTINATION ${CMAKE_INSTALL_DATADIR}/u1db-qt/examples
        FILES_MATCHING PATTERN "*example-*.html"
        )
endif ()

=== examples/CMakeLists.txt ===
file(GLOB ALL_EXAMPLES */*.qml)
install(FILES ${ALL_EXAMPLES}
    DESTINATION ${CMAKE_INSTALL_DATADIR}/u1db-qt/examples
    )

=== gallery/CMakeLists.txt ===
install(FILES gallery.qml SplitView.qml
    DESTINATION ${CMAKE_INSTALL_DATADIR}/u1db-qt/gallery
    )

install(FILES u1db-qt-gallery.desktop
    DESTINATION ${CMAKE_INSTALL_DATADIR}/applications
    )

=== qtcreator/CMakeLists.txt ===
set(U1DB_WIZARDS "${CMAKE_INSTALL_DATADIR}/qtcreator/templates/qml")

install(DIRECTORY "settings"
    DESTINATION "${U1DB_WIZARDS}"
    )

install(DIRECTORY "contacts"
    DESTINATION "${U1DB_WIZARDS}"
    )

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -48,8 +48,6 @@
   )
 
 # Install
-set(INCLUDE_INSTALL_DIR include/lib${U1DB_QT_LIBNAME})
-
 install(TARGETS ${U1DB_QT_LIBNAME}
     LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
     )

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,7 @@
 find_package(Qt5Test REQUIRED)
 
 add_test(NAME plugintest COMMAND "${CMAKE_CURRENT_SOURCE_DIR}/strict-qmltestrunner.sh" "-import" "../modules" "-o" "plugintest-xunit.xml,xunitxml" "-o" "-,txt" "-input" "${CMAKE_CURRENT_SOURCE_DIR}")
+set_property(TEST plugintest PROPERTY ENVIRONMENT "XDG_DATA_HOME=/tmp/plugintest")
 
 include_directories(
     ${CMAKE_CURRENT_BINARY_DIR}
@@ -45,6 +46,3 @@
         add_custom_command(TARGET u1dbqt POST_BUILD COMMAND ${CMAKE_COMMAND} -E create_symlink libu1dbqt.so u1dbqt.so)
     endif ()
 endif ()
-
-add_test(NAME licensetest COMMAND "${CMAKE_CURRENT_SOURCE_DIR}/checklicense.sh" WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}")
-

=== modules/U1db/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,5 @@
 find_package(Qt5Quick REQUIRED)
+find_package(Qt5Network REQUIRED)
 
 get_target_property(QMAKE_EXECUTABLE Qt5::qmake LOCATION)
 # See http://doc-snapshot.qt-project.org/5.0/qtcore/qlibraryinfo.html#LibraryLocation-enum
@@ -13,6 +14,7 @@
 include_directories(
     ${CMAKE_CURRENT_SOURCE_DIR}
     ${Qt5Sql_INCLUDE_DIRS}
+    ${Qt5Network_INCLUDE_DIRS}
     )
 
 add_library(U1DBPlugin SHARED ${U1DBPlugin_SRCS})
@@ -21,6 +23,7 @@
 target_link_libraries(U1DBPlugin
   ${U1DB_QT_LIBNAME}
   ${Qt5Quick_LIBRARIES}
+  ${Qt5Network_LIBRARIES}
   )
 
 include_directories(
@@ -28,6 +31,7 @@
     ${U1DB_INCLUDE_DIRS}
     ${CMAKE_CURRENT_BINARY_DIR}
     ${Qt5Quick_INCLUDE_DIRS}
+    ${Qt5Network_INCLUDE_DIRS}
     )
 
 # copy qmldir file into build directory for shadow builds

=== debian/changelog ===
u1db-qt (0.1.8-1) unstable; urgency=medium

  * New upstream release.
  * debian/upstream/metadata:
    + Update Bug-Database, Bug-Submit and Repository fields.
  * debian/watch:
    + Update file for recent GitLab changes of the tags overview page.
  * debian/control:
    + Bump Standards-Version to 4.7.0. No changes needed.
  * debian/rules:
    + Adjust doc file moving to this upstream release.
  * debian/copyright:
    + Update copyright attribution for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 19 Aug 2024 11:38:48 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: u1db-qt
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
+Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders: Mike Gabriel <sunweaver@debian.org>,
 Build-Depends: cmake (>= 2.8.6),
                dbus-test-runner,
@@ -19,7 +18,7 @@
                xvfb,
                xauth,
                libgl1-mesa-dri,
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/core/u1db-qt
 Vcs-Browser: https://salsa.debian.org/ubports-team/u1db-qt

=== debian/rules ===
--- 
+++ 
@@ -23,8 +23,8 @@
 override_dh_install:
 	# move doc files
 	mkdir -p debian/tmp/usr/share/doc/libu1db-qt5-dev/
-	mv debian/tmp/usr/share/u1db-qt/doc/html debian/tmp/usr/share/doc/libu1db-qt5-dev/
-	rmdir debian/tmp/usr/share/u1db-qt/doc/
+	mv debian/tmp/usr/share/doc/u1db-qt/html debian/tmp/usr/share/doc/libu1db-qt5-dev/
+	rmdir debian/tmp/usr/share/doc/u1db-qt/
 	# remove empty images/ dir
 	rmdir debian/tmp/usr/share/doc/libu1db-qt5-dev/html/images/
 	# run dh_install, finally
